import { Point, Size } from "./core";
export * from "./core";
export * from "./boolean";
export * from "./group-intersects";
export * from "./regular-shape";
export * from "./finger-joints";
export declare type PathType = paper.Path | paper.CompoundPath;
export declare function isPathType(path: PathType | any): path is PathType;
export declare function point(x: number, y: number): Point;
export declare function point(array: any[]): Point;
export declare function point(size: Size): Point;
export declare function point(point: Point): Point;
export declare function point(object: object): Point;
export declare const origin: paper.Point;
export declare function size(width: number, height: number): Size;
export declare function size(array: any[]): Size;
export declare function size(size: Size): Size;
export declare function size(point: Point): Size;
export declare function size(object: object): Size;
