import { PathType } from "./index";
interface BooleanOptions {
    insert: boolean;
}
interface BooleanOptionsWithTrace extends BooleanOptions {
    trace: boolean;
}
interface CustomBooleanOptions {
    removeOld: boolean;
}
export declare function unite(paths: PathType[], options?: Partial<BooleanOptions & CustomBooleanOptions>): PathType;
export declare function intersect(paths: PathType[], options?: Partial<BooleanOptionsWithTrace & CustomBooleanOptions>): PathType;
export declare function subtract(paths: PathType[], options?: Partial<BooleanOptionsWithTrace & CustomBooleanOptions>): PathType;
export {};
